"use strict";
// *****************************************************************************
// Copyright (C) 2018 TypeFox and others.
//
// This program and the accompanying materials are made available under the
// terms of the Eclipse Public License v. 2.0 which is available at
// http://www.eclipse.org/legal/epl-2.0.
//
// This Source Code may also be made available under the following Secondary
// Licenses when the conditions for such availability set forth in the Eclipse
// Public License v. 2.0 are satisfied: GNU General Public License, version 2
// with the GNU Classpath Exception which is available at
// https://www.gnu.org/software/classpath/license.html.
//
// SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0
// *****************************************************************************
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebSocketConnectionProvider = void 0;
const inversify_1 = require("inversify");
const common_1 = require("../../common");
const service_connection_provider_1 = require("./service-connection-provider");
(0, inversify_1.decorate)((0, inversify_1.injectable)(), common_1.RpcProxyFactory);
(0, inversify_1.decorate)((0, inversify_1.unmanaged)(), common_1.RpcProxyFactory, 0);
/**
 * @deprecated This class serves to keep API compatibility for a while. Use {@linkcode ServiceConnectionProvider} instead.
 */
let WebSocketConnectionProvider = class WebSocketConnectionProvider {
    static createProxy(container, path, arg) {
        return service_connection_provider_1.ServiceConnectionProvider.createProxy(container, path, arg);
    }
    static createLocalProxy(container, path, arg) {
        return service_connection_provider_1.ServiceConnectionProvider.createLocalProxy(container, path, arg);
    }
    static createHandler(container, path, arg) {
        return service_connection_provider_1.ServiceConnectionProvider.createHandler(container, path, arg);
    }
    createProxy(path, factory) {
        return this.remoteConnectionProvider.createProxy(path, factory);
    }
};
__decorate([
    (0, inversify_1.inject)(service_connection_provider_1.RemoteConnectionProvider),
    __metadata("design:type", service_connection_provider_1.ServiceConnectionProvider)
], WebSocketConnectionProvider.prototype, "remoteConnectionProvider", void 0);
WebSocketConnectionProvider = __decorate([
    (0, inversify_1.injectable)()
], WebSocketConnectionProvider);
exports.WebSocketConnectionProvider = WebSocketConnectionProvider;
//# sourceMappingURL=ws-connection-provider.js.map